<?php
function flying_analytics_inject_js() {

  $id = esc_html(get_option('flying_analytics_id'));
  $method = esc_html(get_option('flying_analytics_method'));
  $disable_on_login = get_option('flying_analytics_disable_on_login');

  if($disable_on_login && current_user_can('manage_options')) return;

  if ($method == "gtag.js") {
    $local_js = plugins_url( 'js/gtag.js', __FILE__ );
    $local_analytics_js = plugins_url( 'js/analytics.js', __FILE__ );
    
    echo "<script>window.GA_ID='{$id}';window.GA_URL='{$local_analytics_js}';</script>";
    echo "<script src='{$local_js}' defer></script>"; 
    echo "<script>window.dataLayer = window.dataLayer || [];function gtag(){dataLayer.push(arguments);}gtag('js', new Date());gtag('config', '{$id}');</script>";
  }
  else if ($method == "analytics.js") {
    $local_js = plugins_url( 'js/analytics.js', __FILE__ );

    echo "<script>(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)})(window,document,'script','{$local_js}','ga');ga('create','{$id}','auto');ga('send','pageview');</script>";
  }
  else if($method =="minimal-analytics") {
    $local_js = plugins_url( 'js/minimal-analytics.js', __FILE__ );
    
    echo "<script>window.GA_ID='{$id}';</script>";
    echo "<script src='{$local_js}' defer></script>"; 
  }
  else {
    echo '<script>(function(a,b,c){var d=a.history,e=document,f=navigator||{},g=localStorage,h=encodeURIComponent,i=d.pushState,k=function(){return Math.random().toString(36)},l=function(){return g.cid||(g.cid=k()),g.cid},m=function(r){var s=[];for(var t in r)r.hasOwnProperty(t)&&void 0!==r[t]&&s.push(h(t)+"="+h(r[t]));return s.join("&")},n=function(r,s,t,u,v,w,x){var z="https://www.google-analytics.com/collect",A=m({v:"1",ds:"web",aip:c.anonymizeIp?1:void 0,tid:b,cid:l(),t:r||"pageview",sd:c.colorDepth&&screen.colorDepth?screen.colorDepth+"-bits":void 0,dr:e.referrer||void 0,dt:e.title,dl:e.location.origin+e.location.pathname+e.location.search,ul:c.language?(f.language||"").toLowerCase():void 0,de:c.characterSet?e.characterSet:void 0,sr:c.screenSize?(a.screen||{}).width+"x"+(a.screen||{}).height:void 0,vp:c.screenSize&&a.visualViewport?(a.visualViewport||{}).width+"x"+(a.visualViewport||{}).height:void 0,ec:s||void 0,ea:t||void 0,el:u||void 0,ev:v||void 0,exd:w||void 0,exf:"undefined"!=typeof x&&!1==!!x?0:void 0});if(f.sendBeacon)f.sendBeacon(z,A);else{var y=new XMLHttpRequest;y.open("POST",z,!0),y.send(A)}};d.pushState=function(r){return"function"==typeof d.onpushstate&&d.onpushstate({state:r}),setTimeout(n,c.delay||10),i.apply(d,arguments)},n(),a.ma={trackEvent:function o(r,s,t,u){return n("event",r,s,t,u)},trackException:function q(r,s){return n("exception",null,null,null,null,r,s)}}})(window,"'.$id.'",{anonymizeIp:!0,colorDepth:!0,characterSet:!0,screenSize:!0,language:!0})</script>';
  }
}
add_action( 'wp_print_footer_scripts', 'flying_analytics_inject_js');
