<?php
function flying_analytics_settings() {
    
    // Validate nonce
    if(isset($_POST['submit']) && !wp_verify_nonce($_POST['flying_analytics_settings_form'], 'flying_analytics')) {
        echo '<div class="notice notice-error"><p>Nonce verification failed</p></div>';
        exit;
    }

    // Update config in database after form submission
    if (isset($_POST['submit'])) {
        update_option('flying_analytics_id', sanitize_text_field($_POST['id']));
        update_option('flying_analytics_method', sanitize_text_field($_POST['method']));
        update_option('flying_analytics_disable_on_login', sanitize_text_field($_POST['disable_on_login']));

        echo '<div class="notice notice-success is-dismissible"><p>Settings have been saved! Please clear cache if you\'re using a cache plugin</p></div>';
    }

    $id = esc_attr(get_option('flying_analytics_id'));
    $method = esc_attr(get_option('flying_analytics_method'));
    $disable_on_login = get_option('flying_analytics_disable_on_login');
?>
<form method="POST">
    <?php wp_nonce_field( 'flying_analytics', 'flying_analytics_settings_form' ); ?>
    <table class="form-table" role="presentation">
    <tbody>
        <tr>
            <th scope="row"><label>Google Analytics Tracking ID</label></th>
            <td>
                <input name="id" type="text" value="<?php echo $id; ?>" placeholder="UA-XXXXXX-XX"/>
                <p class="description"><a href="https://support.google.com/analytics/thread/13109681?hl=en" target="_blank">Where to find tracking ID?</a></p>
            </td>
        </tr>
        <tr>
            <th scope="row"><label>JavaScript method</label></th>
            <td>
                <select name="method" value="<?php echo $method; ?>">
                    <option value="gtag.js" <?php if ($method == "gtag.js") echo 'selected'; ?>>Gtag.js (66KB)</option>
                    <option value="analytics.js" <?php if ($method == "analytics.js") echo 'selected'; ?>>Analytics.js (44KB)</option>
                    <option value="minimal-analytics" <?php if ($method == "minimal-analytics") echo 'selected'; ?>>Minimal Analytics.js (1.4KB)</option>
                    <option value="minimal-analytics-inlined" <?php if ($method == "minimal-analytics-inlined") echo 'selected'; ?>>Minimal Analytics Inlined (1.4KB)</option>
                </select>
                <p class="description">Confused? Read the <a href="?page=flying-analytics&tab=faq">FAQ</a></p>
            <td>
        </tr>
        <tr>
            <th scope="row"><label>Disable for logged in admins</label></th>
            <td>
                <input name="disable_on_login" type="checkbox" value="1" <?php if($disable_on_login) echo "checked"; ?>>
            </td>
        </tr>
    </tbody>
    </table>

    <p class="submit">
        <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes">
    </p>
</form>
<?php
}